Homepage | Products | OX Knowledge Base | Support | Try Now | Contact | Company
OX Logo
Page 1 of 2 12 LastLast
Results 1 to 10 of 13
  1. #1
    Hawkeye Guest

    Default Groupware doesn't start up

    Hi

    the open-xchange-groupware doesn't startup.

    # /etc/init.d/open-xchange-groupware start
    Starting open-xchange-groupware daemon done

    # /etc/init.d/open-xchange-groupware status
    Checking for service open-xchange-groupware daemon dead


    This is the error message i get from the log file:

    Code:
    !SESSION 2008-07-07 12:44:23.855 -----------------------------------------------
    eclipse.buildId=unknown
    java.version=1.5.0_15
    java.vendor=Sun Microsystems Inc.
    BootLoader constants: OS=linux, ARCH=x86, WS=motif, NL=en_US
    Command-line arguments:  -configuration file:
    
    !ENTRY org.eclipse.osgi 4 0 2008-07-07 12:44:24.409
    !MESSAGE Application error
    !STACK 1
    java.lang.IllegalStateException: Unable to acquire application service. Ensure that the org.eclipse.core.runtime bundle is resolved and started (see config.ini).
            at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:72)
            at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:363)
            at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:176)
            at org.eclipse.core.runtime.adaptor.EclipseStarter.main(EclipseStarter.java:149)
    My installed packages: (I added the repo's and installed via yast)

    #rpm -qa | grep open
    open-xchange-gui-6.5.0-1.1
    open-xchange-common-6.5.0-4.1
    open-xchange-configread-6.5.0-4.1
    open-xchange-sessiond-6.5.0-4.1
    open-xchange-group-managerequest-6.5.0-2.1
    open-xchange-admin-6.5.0-4.1
    open-xchange-push-udp-6.5.0-2.1
    open-xchange-i18n-6.5.0-4.1
    open-xchange-admin-doc-6.5.0-4.1
    open-xchange-admin-plugin-hosting-doc-6.5.0-4.1
    open-xchange-jcharset-1.3.0-4.1
    open-xchange-global-6.5.0-4.1
    open-xchange-configjump-generic-6.5.0-1.1
    open-xchange-management-6.5.0-4.1
    open-xchange-control-6.5.0-4.1
    open-xchange-server-6.5.0-4.1
    open-xchange-axis2-6.5.0-4.1
    open-xchange-mailfilter-6.5.0-2.1
    open-xchange-authentication-database-6.5.0-4.1
    open-xchange-imap-6.5.0-2.1
    open-xchange-resource-managerequest-6.5.0-2.1
    open-xchange-spamhandler-spamassassin-6.5.0-4.1
    open-xchange-admin-plugin-hosting-6.5.0-4.1
    open-xchange-admin-client-6.5.0-4.1
    open-xchange-charset-6.5.0-4.1
    open-xchange-cache-6.5.0-2.1
    open-xchange-monitoring-6.5.0-4.1
    open-xchange-settings-extensions-6.5.0-1.1
    open-xchange-smtp-6.5.0-2.1
    open-xchange-spamhandler-default-6.5.0-4.1
    open-xchange-admin-soap-6.5.0-1.1

    # echo $JAVA_HOME
    /usr/lib/jvm/java

    # echo $JRE_HOME
    /usr/lib/jvm/java/jre

    # uname -a
    Linux <servername> 2.6.9-023stab046.2-enterprise #1 SMP Mon Dec 10 15:22:33 MSK 2007 i686 i686 i386 GNU/Linux

    # rpm -qa | grep java
    java-1_4_2-sun-src-1.4.2.17-0.2
    java-1_5_0-sun-1.5.0_15-0.1
    javamail-1.3.3_01-12
    java-1_5_0-sun-jdbc-1.5.0_15-0.1
    mysql-connector-java-3.1.12-13
    java-1_4_2-sun-1.4.2.17-0.2
    java-1_4_2-sun-devel-1.4.2.17-0.2
    java-1_5_0-sun-devel-1.5.0_15-0.1
    gcc-java-4.1.0-25
    java-1_4_2-sun-jdbc-1.4.2.17-0.2

    # java -Xmx64m -version
    java version "1.5.0_15"
    Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_15-b04)
    Java HotSpot(TM) Server VM (build 1.5.0_15-b04, mixed mode)

    I have to pass the Xmx parameter since i'm using a virtual server and through a bug with the virtualization software on it, the jvm runs out of memory without.

    This is the content of the /opt/open-xchange/bundles
    # ls
    com.openexchange.authentication.database.jar
    com.openexchange.resource.managerequest.jar
    com.openexchange.axis2
    com.openexchange.server.jar
    com.openexchange.caching.jar
    com.openexchange.sessiond.jar
    com.openexchange.charset.jar
    com.openexchange.smtp.jar
    com.openexchange.common
    com.openexchange.spamhandler.default.jar
    com.openexchange.configjump.generic_6.5.0.jar
    com.openexchange.spamhandler.spamassassin.jar
    com.openexchange.configread.jar
    javax.servlet_2.4.0.v200706111738.jar
    com.openexchange.control.jar
    net.freeutils.jcharset.jar
    com.openexchange.global.jar
    open_xchange_admin.jar
    com.openexchange.group.managerequest.jar
    open_xchange_admin_plugin_hosting.jar
    com.openexchange.groupware.settings.extensions_6.5 .0.jar
    org.apache.commons.logging_1.0.4.v200706111724.jar
    com.openexchange.i18n.jar
    org.eclipse.core.runtime
    com.openexchange.imap.jar
    org.eclipse.core.runtime_3.4.0.v20080512.jar
    com.openexchange.mail.filter.jar
    org.eclipse.equinox.event_1.0.100.v20070516.jar
    com.openexchange.management.jar
    org.eclipse.osgi.services_3.1.200.v20070605.jar
    com.openexchange.monitoring.jar
    org.eclipse.osgi_3.3.0.v20070530.jar
    com.openexchange.push.udp.jar

    Content of the /opt/open-xchange/etc/groupware/osgi/config.ini file
    Code:
    # OSGi Groupware Configuration File
    osgi.bundles.defaultStartLevel=4
    osgi.install.area=file\:/opt/open-xchange/bundles/
    osgi.framework=file\:/opt/open-xchange/bundles/org.eclipse.osgi_3.3.0.v20070530.jar
    osgi.configuration.cascaded=false
    eclipse.ignoreApp=true
    osgi.classloader.singleThreadLoads=true
    osgi.clean=true
    osgi.logfile=/var/log/open-xchange/open-xchange-osgi.log
    osgi.bundles=reference\:file\:/opt/open-xchange/bundles/com.openexchange.authentication.database.jar@start,reference\:file\:/opt/open-xchange/bundles/com.openexchange.axis2@start,reference\:file\:/opt/open-xchange/bundles/com.openexchange.caching.jar@start,reference\:file\:/opt/open-xchange/bundles/com.openexchange.charset.jar@start,reference\:file\:/opt/open-xchange/bundles/com.openexchange.common@start,reference\:file\:/opt/open-xchange/bundles/com.openexchange.configjump.generic_6.5.0.jar@start,reference\:file\:/opt/open-xchange/bundles/com.openexchange.configread.jar@start,reference\:file\:/opt/open-xchange/bundles/com.openexchange.control.jar@start,reference\:file\:/opt/open-xchange/bundles/com.openexchange.global.jar@start,reference\:file\:/opt/open-xchange/bundles/com.openexchange.group.managerequest.jar@start,reference\:file\:/opt/open-xchange/bundles/com.openexchange.groupware.settings.extensions_6.5.0.jar@start,reference\:file\:/opt/open-xchange/bundles/com.openexchange.i18n.jar@start,reference\:file\:/opt/open-xchange/bundles/com.openexchange.imap.jar@start,reference\:file\:/opt/open-xchange/bundles/com.openexchange.mail.filter.jar@start,reference\:file\:/opt/open-xchange/bundles/com.openexchange.management.jar@start,reference\:file\:/opt/open-xchange/bundles/com.openexchange.monitoring.jar@start,reference\:file\:/opt/open-xchange/bundles/com.openexchange.push.udp.jar@start,reference\:file\:/opt/open-xchange/bundles/com.openexchange.resource.managerequest.jar@start,reference\:file\:/opt/open-xchange/bundles/com.openexchange.server.jar@start,reference\:file\:/opt/open-xchange/bundles/com.openexchange.sessiond.jar@start,reference\:file\:/opt/open-xchange/bundles/com.openexchange.smtp.jar@start,reference\:file\:/opt/open-xchange/bundles/com.openexchange.spamhandler.default.jar@start,reference\:file\:/opt/open-xchange/bundles/com.openexchange.spamhandler.spamassassin.jar@start,reference\:file\:/opt/open-xchange/bundles/javax.servlet_2.4.0.v200706111738.jar@start,reference\:file\:/opt/open-xchange/bundles/net.freeutils.jcharset.jar@start,reference\:file\:/opt/open-xchange/bundles/org.apache.commons.logging_1.0.4.v200706111724.jar@start,reference\:file\:/opt/open-xchange/bundles/org.eclipse.core.runtime_3.4.0.v20080512.jar@start,reference\:file\:/opt/open-xchange/bundles/org.eclipse.equinox.event_1.0.100.v20070516.jar@start,referen
    ce\:file\:/opt/open-xchange/bundles/org.eclipse.osgi.services_3.1.200.v20070605.jar@start
    The open-xchange-admin is running
    # ps ax | grep java
    9575 ? Sl 3:35 /usr/bin/java -Djava.net.preferIPv4Stack=true -Xms50M -Xmx50M -Dopenexchange.propdir=/opt/open-xchange/etc/admindaemon -Dconfigdir=/opt/open-xchange/etc/admindaemon -Djava.util.logging.config.file=/opt/open-xchange/etc/admindaemon/file-logging.properties -Duser.timezone=GMT -Dlibdir=/opt/open-xchange/bundles/com.openexchange.common/lib -jar /opt/open-xchange/bundles/org.eclipse.osgi_3.3.0.v20070530.jar -configuration file:/opt/open-xchange/etc/admindaemon/osgi/ > /var/log/open-xchange/open-xchange-admin-console.log 2>&1
    23688 pts/6 R+ 0:00 grep java

    # /etc/init.d/open-xchange-admin status
    Checking for service open-xchange-admin daemon running

    And MySQL is running
    # ps ax | grep mysql
    13977 ? S 0:00 /bin/sh /usr/bin/mysqld_safe --user=mysql --pid-file=/var/lib/mysql/mysqld.pid --socket=/var/lib/mysql/mysql.sock --datadir=/var/lib/mysql
    14030 ? Sl 0:11 /usr/sbin/mysqld --basedir=/usr --datadir=/var/lib/mysql --user=mysql --pid-file=/var/lib/mysql/mysqld.pid --skip-external-locking --port=3306 --socket=/var/lib/mysql/mysql.sock
    24210 pts/6 R+ 0:00 grep mysql

    Until here i went through this tutorial: http://www.open-xchange.com/wiki/ind...Edition_SLES10

    Anyone knows about that missing org.eclipse.core.runtime bundle and can explain me how to install it?
    Last edited by Hawkeye; 07-07-2008 at 12:38 PM.

  2. #2
    Carsten Hoeger is offline Open-Xchange Professional Services
    Join Date
    Mar 2007
    Posts
    703

    Default

    Quote Originally Posted by Hawkeye View Post
    Hi


    # rpm -qa | grep java
    java-1_4_2-sun-src-1.4.2.17-0.2
    java-1_5_0-sun-1.5.0_15-0.1
    javamail-1.3.3_01-12
    java-1_5_0-sun-jdbc-1.5.0_15-0.1
    mysql-connector-java-3.1.12-13
    java-1_4_2-sun-1.4.2.17-0.2
    java-1_4_2-sun-devel-1.4.2.17-0.2
    java-1_5_0-sun-devel-1.5.0_15-0.1
    gcc-java-4.1.0-25
    java-1_4_2-sun-jdbc-1.4.2.17-0.2

    # java -Xmx64m -version
    java version "1.5.0_15"
    Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_15-b04)
    Java HotSpot(TM) Server VM (build 1.5.0_15-b04, mixed mode)
    On SLES10 we require IBM Java 1.5.
    SLES10 does not contain Sun Java 1.5.
    How did you manage to install Sun Java 1.5 and how did you manage to install the open-xchange packages?
    The open-xchange packages depend on IBM Java: java-1_5_0-ibm

  3. #3
    Hawkeye Guest

    Default

    I don't know, i just added the repository and no package got angry cause of the sun java.

    Anyway I downloaded the ibm java jre and installed it:

    # rpm -qa | grep ibm
    libmcrypt-2.5.7-134
    ibm-java2-i386-jre-5.0-7.0

    How do I switch to this version?

    # update-alternatives --config java

    There are 2 programs which provide `java'.

    Selection Command
    -----------------------------------------------
    *+ 1 /usr/lib/jvm/jre-1.5.0-sun/bin/java
    2 /usr/lib/jvm/jre-1.4.2-sun/bin/java

    Enter to keep the default[*], or type selection number:

    It's not listened in ,-(

    EDIT:

    # rpm -e ibm-java2-i386-jre-5.0-7.0

    # rpm -qa | grep ibm
    libmcrypt-2.5.7-134

    # rpm -iv ibm-java2-i386-jre-5.0-7.0.i386.rpm
    Preparing packages for installation...
    Warning: there may be a version of this package already installed.
    If this version was supplied by SuSE, it will have been packaged
    so that it installs under a different directory tree. To avoid
    unexpected results, you should use YaST2 to remove the SuSE-supplied
    version.
    ibm-java2-i386-jre-5.0-7.0

    Just tried again and now I'm realy confused...
    Last edited by Hawkeye; 07-07-2008 at 04:15 PM.

  4. #4
    Carsten Hoeger is offline Open-Xchange Professional Services
    Join Date
    Mar 2007
    Posts
    703

    Default

    Please run the following commands and post the output:

    Code:
    SPident
    Code:
    rpm -q --whatprovides java-1_5_0-ibm
    Code:
    rpm -q --requires open-xchange-server

  5. #5
    Hawkeye Guest

    Default

    Code:
    # SPident
    -bash: SPident: command not found
    I searched for the SPident command, is it a tool to show and update the servicepacks? On google I noticed a few who told it's just for suse 9.x.

    Code:
    # rpm -q --whatprovides java-1_5_0-ibm
    no package provides java-1_5_0-ibm
    But the jre is still installed...

    Code:
    # rpm -qa | grep ibm
    libmcrypt-2.5.7-134
    ibm-java2-i386-jre-5.0-7.0

    Code:
    # rpm -q --requires open-xchange-server
    open-xchange-global
    open-xchange-configread
    open-xchange-monitoring
    open-xchange-management
    open-xchange-cache
    java-1_5_0-ibm
    java-1_5_0-ibm-alsa
    update-alternatives
    rpmlib(PayloadFilesHavePrefix) <= 4.0-1
    rpmlib(CompressedFileNames) <= 3.0.4-1
    rpmlib(PayloadIsBzip2) <= 3.0.5-1
    But I found where the ibm java was installed and run this:

    Code:
    # export PATH=/opt/ibm/java2-i386-50/bin:/opt/ibm/java2-i386-50/jre/bin:$PATH
    # echo $PATH
    /opt/ibm/java2-i386-50/bin:/opt/ibm/java2-i386-50/jre/bin://sbin://bin:/sbin:/usr/sbin:/usr/local/sbin:/opt/gnome/sbin:/root/bin:/usr/local/bin:/usr/bin:/usr/X11R6/bin:/bin:/usr/games:/opt/gnome/bin:/usr/lib/mit/bin:/usr/lib/mit/sbin
    And now:

    Code:
    # java -version
    java version "1.5.0"
    Java(TM) 2 Runtime Environment, Standard Edition (build pxi32dev-20080315 (SR7))
    IBM J9 VM (build 2.3, J2RE 1.5.0 IBM J9 2.3 Linux x86-32 j9vmxi3223-20080315 (JIT enabled)
    J9VM - 20080314_17962_lHdSMr
    JIT  - 20080130_0718ifx2_r8
    GC   - 200802_08)
    JCL  - 20080314
    And the next try to start up:

    Code:
     # /etc/init.d/open-xchange-admin start
    Starting open-xchange-admin daemon                                    done
    # /etc/init.d/open-xchange-admin status
    Checking for service open-xchange-admin daemon                        running
     # /etc/init.d/open-xchange-groupware start
    Starting open-xchange-groupware daemon                                done
    # /etc/init.d/open-xchange-groupware status
    Checking for service open-xchange-groupware daemon                    dead
    Code:
    !SESSION 2008-07-08 11:31:34.585 -----------------------------------------------
    eclipse.buildId=unknown
    java.fullversion=J2RE 1.5.0 IBM J9 2.3 Linux x86-32 j9vmxi3223-20080315 (JIT enabled)
    J9VM - 20080314_17962_lHdSMr
    JIT  - 20080130_0718ifx2_r8
    GC   - 200802_08
    BootLoader constants: OS=linux, ARCH=x86, WS=motif, NL=en_US
    Command-line arguments:  -configuration file:
    
    !ENTRY org.eclipse.osgi 4 0 2008-07-08 11:31:35.396
    !MESSAGE Application error
    !STACK 1
    java.lang.IllegalStateException: Unable to acquire application service. Ensure that the org.eclipse.core.runtime bundle is resolved and started (see config.ini).
            at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:72)
            at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:363)
            at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:176)
            at org.eclipse.core.runtime.adaptor.EclipseStarter.main(EclipseStarter.java:149)
    Last edited by Hawkeye; 07-08-2008 at 10:41 AM.

  6. #6
    Carsten Hoeger is offline Open-Xchange Professional Services
    Join Date
    Mar 2007
    Posts
    703

    Default

    Quote Originally Posted by Hawkeye View Post
    Code:
    # SPident
    -bash: SPident: command not found
    You are not running SLES10.

  7. #7
    Hawkeye Guest

    Default

    Code:
    # cat /etc/SuSE-release
    SUSE LINUX 10.1 (i586)
    VERSION = 10.1
    # uname -a
    Linux <server> 2.6.9-023stab046.2-enterprise #1 SMP Mon Dec 10 15:22:33 MSK 2007 i686 i686 i386 GNU/Linux
    I thought this is SLES10 ,-(

  8. #8
    Join Date
    Feb 2007
    Location
    Germany
    Posts
    3,695

    Default

    Looks like openSuSE 10.1 @virtuozzo

  9. #9
    Carsten Hoeger is offline Open-Xchange Professional Services
    Join Date
    Mar 2007
    Posts
    703

    Default

    Quote Originally Posted by Hawkeye View Post
    Code:
    # cat /etc/SuSE-release
    SUSE LINUX 10.1 (i586)
    VERSION = 10.1
    # uname -a
    Linux <server> 2.6.9-023stab046.2-enterprise #1 SMP Mon Dec 10 15:22:33 MSK 2007 i686 i686 i386 GNU/Linux
    I thought this is SLES10 ,-(
    Sorry, but there's no support for (open)SUSE <= 10.2.

  10. #10
    Hawkeye Guest

    Default

    OK, i'll go on my own or search for another system which provides the funcions of open-xchange but this is another reason why I realy hate java.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •